Remove the public exposure of a service port
DELETE
/deployments/{deploymentId}/services/{serviceId}/ports/{portId}/public
const url = 'https://example.com/deployments/example/services/example/ports/example/public';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/deployments/example/services/example/ports/example/public \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”deploymentId
required
string
serviceId
required
string
portId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
enabled
required
boolean
key
additional properties
Example generated
{ "enabled": true}